मुख्य सामग्री पर जाएं
GET
/
billing
/
catalog
Get billing catalog
curl --request GET \
  --url https://api.youka.io/api/v1/billing/catalog \
  --header 'Authorization: Bearer <token>'
{
  "unitCredits": 123,
  "quantity": {
    "min": 123,
    "max": 123
  },
  "hasActiveSubscription": true,
  "subscription": {
    "monthly": {
      "unitPriceCents": 4503599627370495,
      "unitPriceFormatted": "<string>"
    },
    "yearly": {
      "unitPriceCents": 4503599627370495,
      "unitPriceFormatted": "<string>",
      "monthlyEquivalentCents": 4503599627370495,
      "monthlyEquivalentFormatted": "<string>",
      "yearlyTotalCents": 4503599627370495,
      "yearlyTotalFormatted": "<string>"
    }
  },
  "topup": {
    "enabled": true,
    "eligible": true,
    "unitPriceCents": 4503599627370495,
    "unitPriceFormatted": "<string>"
  },
  "storage": {
    "perSubscriptionUnitGb": 4503599627370495,
    "topupAddsStorage": true
  }
}

प्राधिकरण

Authorization
string
header
आवश्यक

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

प्रतिक्रिया

200 - application/json

Billing catalog

unitCredits
integer
आवश्यक
आवश्यक सीमा: x <= 9007199254740991
quantity
object
आवश्यक
hasActiveSubscription
boolean
आवश्यक
subscription
object
आवश्यक
topup
object
आवश्यक
storage
object